import { useMutation } from '@tanstack/react-query';
import bupot26 from '../utils/api';
import queryKey from '../../constant/queryKey';

const useCetakPdf = (options?: any) =>
  useMutation({
    mutationKey: queryKey.bupot26.cetakPdf(options),
    mutationFn: async (params: any) => bupot26.cetakPdfDetail(params),
    ...options,
  });

export default useCetakPdf;
